package com.clx.performance.event;

import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

@Getter
@Setter
public class OwnerRepaymentUpdateEvent extends ApplicationEvent {


    private Integer id;


    /**
     * Create a new {@code ApplicationEvent}.
     *
     * @param source the object on which the event initially occurred or with
     *               which the event is associated (never {@code null})
     */
    public OwnerRepaymentUpdateEvent(Object source) {
        super(source);
    }

    public OwnerRepaymentUpdateEvent(Object source, Integer id) {
        super(source);
        this.id = id;
    }

}
